Package weka.core.pmml.jaxbbindings

# Class SupportVectorMachine

java.lang.Object
weka.core.pmml.jaxbbindings.SupportVectorMachine

public class SupportVectorMachine extends Object

Java class for SupportVectorMachine element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="SupportVectorMachine">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}SupportVectors" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Coefficients"/>
             </sequence>
             <attribute name="alternateTargetCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="targetCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="threshold" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupportVectorMachine()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlternateTargetCategory()`
  Gets the value of the alternateTargetCategory property.
  `Coefficients`
  `getCoefficients()`
  Gets the value of the coefficients property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `SupportVectors`
  `getSupportVectors()`
  Gets the value of the supportVectors property.
  `String`
  `getTargetCategory()`
  Gets the value of the targetCategory property.
  `Double`
  `getThreshold()`
  Gets the value of the threshold property.
  `void`
  `setAlternateTargetCategory(String value)`
  Sets the value of the alternateTargetCategory property.
  `void`
  `setCoefficients(Coefficients value)`
  Sets the value of the coefficients property.
  `void`
  `setSupportVectors(SupportVectors value)`
  Sets the value of the supportVectors property.
  `void`
  `setTargetCategory(String value)`
  Sets the value of the targetCategory property.
  `void`
  `setThreshold(Double value)`
  Sets the value of the threshold property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SupportVectorMachine

    public SupportVectorMachine()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getSupportVectors

    public SupportVectors getSupportVectors()
    Gets the value of the supportVectors property.
    Returns:
      possible object is `SupportVectors`

  - ### setSupportVectors

    public void setSupportVectors(SupportVectors value)
    Sets the value of the supportVectors property.
    Parameters:
      `value` - allowed object is `SupportVectors`

  - ### getCoefficients

    public Coefficients getCoefficients()
    Gets the value of the coefficients property.
    Returns:
      possible object is `Coefficients`

  - ### setCoefficients

    public void setCoefficients(Coefficients value)
    Sets the value of the coefficients property.
    Parameters:
      `value` - allowed object is `Coefficients`

  - ### getAlternateTargetCategory

    public String getAlternateTargetCategory()
    Gets the value of the alternateTargetCategory property.
    Returns:
      possible object is `String`

  - ### setAlternateTargetCategory

    public void setAlternateTargetCategory(String value)
    Sets the value of the alternateTargetCategory property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTargetCategory

    public String getTargetCategory()
    Gets the value of the targetCategory property.
    Returns:
      possible object is `String`

  - ### setTargetCategory

    public void setTargetCategory(String value)
    Sets the value of the targetCategory property.
    Parameters:
      `value` - allowed object is `String`

  - ### getThreshold

    public Double getThreshold()
    Gets the value of the threshold property.
    Returns:
      possible object is `Double`

  - ### setThreshold

    public void setThreshold(Double value)
    Sets the value of the threshold property.
    Parameters:
      `value` - allowed object is `Double`